library(metafor)
library(gemtc)
library(igraph)
source("NMA_functions.R")

total_list<-list("_d_HCBCC_cleandata_subgraph1.csv",
                 "_d_HCBCC_cleandata_subgraph2.csv",
                 "_d_HCBCC_cleandata_subgraph3.csv",
                 "_d_RecurBCC_cleandata_subgraph1.csv",
                 "_d_RecurBCC_cleandata_subgraph2.csv",                         
                 "_d_CosmeticObserverBCC_cleandata_subgraph1.csv",
                 "_d_CosmeticObserverBCC_cleandata_subgraph2.csv",
                 "_d_CosmeticPatientBCC_cleandata_subgraph1.csv",  
                 "_d_CosmeticPatientBCC_cleandata_subgraph2.csv",     
                 "_d_CosmeticPatientBCC_cleandata_subgraph3.csv",     
                 "_d_CosmeticPatientBCC_cleandata_subgraph4.csv"
                 )
outcome_list<-list("HCBCC_subgraph_1","HCBCC_subgraph_2","HCBCC_subgraph_3",
                   "RecurrBCC_subgraph_1","RecurrBCC_subgraph_2",
                   "CosmeticObserverBCC_subgraph_1","CosmeticObserverBCC_subgraph_2",
                   "CosmeticPatientBCC_subgraph_1","CosmeticPatientBCC_subgraph_2",
                   "CosmeticPatientBCC_subgraph_3","CosmeticPatientBCC_subgraph_4")

for (i in 1:length(total_list)){
outcome_subgraph<-total_list[[i]]
outcome<-outcome_list[[i]]
net_data<-read.csv(outcome_subgraph)
leaguecsvfilename<-paste("league_table",outcome, 'csv', sep='.')
freqretablecsvfilename<-paste("freq_relative_effect_table",outcome,'csv', sep='.')
results_list <-analyze_network_frequentist(data.ab=net_data, 
                              xi=net_data$responders, 
                              ni=net_data$sampleSize, 
                              study_column_name="study",
                              reference_treatment_name=NA, 
                              treatment_column_name="treatment")
write.csv(results_list[[2]],leaguecsvfilename)
write.csv(results_list[[1]],freqretablecsvfilename)
}

treatment1<-c("A","A","C1","E1","E1","E1","F2", 
              "A","A","A","C1","C1","C1","D1","E1","E1", 
              "A","A","E1",
              "A","A","C1"
              )

treatment2<-c("C1","E1","E2","E2","F2","J","J",
              "E1","E2","F2","D1","E1","E2","F2","E2","F2",
              "E1","F2","F2",
              "C1","E1","E1"
              )
outcome_list<-list("HCBCC","HCBCC","HCBCC","HCBCC","HCBCC","HCBCC","HCBCC",
                   "RecurrBCC","RecurrBCC","RecurrBCC","RecurrBCC","RecurrBCC",
                   "RecurrBCC","RecurrBCC","RecurrBCC","RecurrBCC",
                   "CosmeticObserverBCC","CosmeticObserverBCC","CosmeticObserverBCC",
                   "CosmeticPatientBCC","CosmeticPatientBCC","CosmeticPatientBCC")
data_list<-list("_d_HCBCC_cleandata_subgraph1.csv","_d_HCBCC_cleandata_subgraph1.csv",
                "_d_HCBCC_cleandata_subgraph1.csv","_d_HCBCC_cleandata_subgraph1.csv",
                "_d_HCBCC_cleandata_subgraph1.csv","_d_HCBCC_cleandata_subgraph1.csv",
                "_d_HCBCC_cleandata_subgraph1.csv",
              "_d_RecurBCC_cleandata_subgraph1.csv","_d_RecurBCC_cleandata_subgraph1.csv",
              "_d_RecurBCC_cleandata_subgraph1.csv","_d_RecurBCC_cleandata_subgraph1.csv",
              "_d_RecurBCC_cleandata_subgraph1.csv","_d_RecurBCC_cleandata_subgraph1.csv",
              "_d_RecurBCC_cleandata_subgraph1.csv","_d_RecurBCC_cleandata_subgraph1.csv",
              "_d_RecurBCC_cleandata_subgraph1.csv",
              "_d_CosmeticObserverBCC_cleandata_subgraph2.csv","_d_CosmeticObserverBCC_cleandata_subgraph2.csv",
              "_d_CosmeticObserverBCC_cleandata_subgraph2.csv",
              "_d_CosmeticPatientBCC_cleandata_subgraph1.csv","_d_CosmeticPatientBCC_cleandata_subgraph1.csv",
              "_d_CosmeticPatientBCC_cleandata_subgraph1.csv"
              )

for (i in 1:length(outcome_list)){
  trt1<-treatment1[i]
  trt2<-treatment2[i]
  outcome<-outcome_list[[i]]
  data<-data_list[[i]]
  net_data<-read.csv(data)
  nodesplit_results<-nodesplitting(trt1,trt2,outcome,net_data)
}